from src.batch.ultmarc.utmp_tables.tables.ultmarc_table import UltmarcTable


class ComPrefcMedSojournOpe(UltmarcTable):
    """レイアウト区分135: COM_都道府県医療機能情報(短期滞在手術)"""
    dcfhp_id: str               # DCFｺｰﾄﾞ（ﾚｺｰﾄﾞID）
    dcfhp_code: str             # DCFｺｰﾄﾞ（施設ｺｰﾄﾞ）
    dcfhp_yobi: str             # DCFｺｰﾄﾞ（予備）
    cos_surgery_code: str       # 短期滞在手術ｺｰﾄﾞ
    adddel_div: str             # 追加削除区分
    maint_flag: str             # 修正区分

    dcfdsf_inst_code: str        # DCFDSF施設コード

    def __init__(self, record: list[str]):
        super().__init__(record)
        self.dcfhp_id = record[1].strip()
        self.dcfhp_code = record[2].strip()
        self.dcfhp_yobi = record[3].strip()
        self.maint_flag = record[4].strip()
        self.cos_surgery_code = record[5].strip()
        self.adddel_div = record[6].strip()

        # DCFDSF施設コード
        self.dcfdsf_inst_code = ''.join([self.dcfhp_id, self.dcfhp_code, self.dcfhp_yobi])
